KNewStuffGeneric Class Reference

`#include <knewstuffgeneric.h>`

Inheritance diagram for KNewStuffGeneric:

## Public Member Functions

| KNewStuffGeneric (const QString &type, QWidget *parent=0)
bool | install (const QString &fileName)
bool | createUploadFile (const QString &fileName)
QString | downloadDestination (KNS::Entry *entry)
Public Member Functions inherited from KNewStuff
| KNewStuff (const QString &type, QWidget *parentWidget=0)
| KNewStuff (const QString &type, const QString &providerList, QWidget *parentWidget=0)
QString | type () const
QWidget * | parentWidget () const
void | download ()
void | upload ()
void | upload (const QString &fileName, const QString previewName)

## Additional Inherited Members

Protected Member Functions inherited from KNewStuff
KNS::Engine * | engine ()

## Detailed Description

Basic KNewStuff class with predefined actions.

This class is used for data uploads and installation.

QString payload, preview;
KNewStuffGeneric *ns = new KNewStuffGeneric("kamikaze/level", this);
ns->upload(payload, preview);

Author
  Cornelius Schumacher (schum.nosp@m.ache.nosp@m.r@kde.nosp@m..org)

Maintainer:
  Josef Spillner (spill.nosp@m.ner@.nosp@m.kde.o.nosp@m.rg)

Definition at line 42 of file knewstuffgeneric.h.

## Constructor & Destructor Documentation

KNewStuffGeneric::KNewStuffGeneric | ( | const QString & | type,
|  | QWidget * | parent = `0`
| ) |  |

Constructor.

Parameters

  type | a Hotstuff data type such as "korganizer/calendar"
  parent | the parent window.

Definition at line 40 of file knewstuffgeneric.cpp.

## Member Function Documentation

bool KNewStuffGeneric::createUploadFile | ( | const QString & | fileName | ) |

virtual

Creates a file suitable for upload.

Note that this method always fails, since using KNewStuffGeneric means that the provided file must already be in a usable format.

Parameters

  fileName | the name of the file to upload after its creation

Returns
  `true` in case of creation success, `false` otherwise

Implements KNewStuff.

Definition at line 83 of file knewstuffgeneric.cpp.

QString KNewStuffGeneric::downloadDestination | ( | KNS::Entry * | entry | ) |

virtual

Queries the preferred destination file for a download.

Parameters

  entry | a Hotstuff data entry

Returns
  destination filename, or 0 to return directory only

Reimplemented from KNewStuff.

Definition at line 133 of file knewstuffgeneric.cpp.

bool KNewStuffGeneric::install | ( | const QString & | fileName | ) |

virtual

Installs a downloaded file according to the application's configuration.

Parameters

  fileName | filename of the donwloaded file

Returns
  `true` in case of installation success, `false` otherwise

Implements KNewStuff.

Definition at line 50 of file knewstuffgeneric.cpp.

The documentation for this class was generated from the following files:

- knewstuffgeneric.h
- knewstuffgeneric.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys